Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vutbr.checkers.game
Class GameTurnState

    java.lang.Object
      vutbr.checkers.game.GameTurnState

    public class GameTurnState

extends java.lang.Object

Trida GameTurnState - stav tahu hry

Author:
  Ondrej Novy

Constructor Summary
`GameTurnState()` Konstruktor

Method Summary
`protected boolean` | `isFirstTurn()` Vrati priznak prvniho tahu
`protected boolean` | `isOnlyJump()` Vrati priznak pouze skakani
`protected boolean` | `isOnlyJumpXY(int x, int y)` Vrati priznak pouze skakani pokud zaroven sedi X a Y
`protected void` | `setOnlyJump(int x, int y)` Zapne priznak pouze skakani
`protected void` | `unsetFirstTurn()` Vypne priznak prvniho tahu

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GameTurnState

    public GameTurnState()

  Konstruktor

Method Detail

### unsetFirstTurn

    protected void unsetFirstTurn()

  Vypne priznak prvniho tahu

### setOnlyJump

    protected void setOnlyJump(int x,
                               int y)

  Zapne priznak pouze skakani

  Parameters:
    `x` - Poloha X
    `y` - Poloha Y

### isFirstTurn

    protected boolean isFirstTurn()

  Vrati priznak prvniho tahu

### isOnlyJump

    protected boolean isOnlyJump()

  Vrati priznak pouze skakani

### isOnlyJumpXY

    protected boolean isOnlyJumpXY(int x,
                                   int y)

  Vrati priznak pouze skakani pokud zaroven sedi X a Y

  Parameters:
    `x` - Poloha X
    `y` - Poloha Y

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD